ForceLineInside 属性 (ActiveX)
指定是否在扩展线之间绘制尺寸线,即使文本放置在扩展线之外也是如此。 支持的平台:仅限 Windows 签名VBA: object.ForceLineInside
属性值只读:不 类型:布尔
言论此属性的初始值为 。False 对于半径和直径尺寸(当属性设置为 时),此属性在圆或圆弧内绘制尺寸线和箭头,并将文本和引线放在外部。TextInsideFalse 注意:此属性将覆盖给定维度的 DIMTOFL 系统变量的值。
例子VBA: Sub Example_ForceLineInside() ' This example creates an aligned dimension in model space ' and toggles dimension lines to be drawn between extension lines Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double Dim CurrentValue As String ' Define the dimension point1(0) = 5: point1(1) = 5: point1(2) = 0 point2(0) = 5.5: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ThisDrawing.Application.ZoomAll ' Read and display current line suppression information CurrentValue = IIf(dimObj.ForceLineInside, "are", "are not") MsgBox "Dimension lines " & CurrentValue & " forced between the extension lines" ' Force the display of dimension lines between the extension lines dimObj.ForceLineInside = True ThisDrawing.Regen acAllViewports MsgBox "Dimension lines are forced between the extension lines" ' Do not force the display of dimension lines between the extension lines (default) dimObj.ForceLineInside = False ThisDrawing.Regen acAllViewports MsgBox "Dimension lines are not forced between the extension lines" End Sub 可视化 LISP: (vl-load-com) (defun c:Example_ForceLineInside() ;; This example creates an aligned dimension in model space ;; and toggles dimension lines to be drawn between extension lines (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 5 5 0) point2 (vlax-3d-point 5.5 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) (vla-ZoomAll acadObj) ;; Read and display current line suppression information (setq CurrentValue (if (= (vla-get-ForceLineInside dimObj) :vlax-true) "are" "are not")) (alert (strcat "Dimension lines " CurrentValue " forced between the extension lines")) ;; Force the display of dimension lines between the extension lines (vla-put-ForceLineInside dimObj :vlax-true) (vla-Regen doc acAllViewports) (alert "Dimension lines are forced between the extension lines") ;; Do not force the display of dimension lines between the extension lines (default) (vla-put-ForceLineInside dimObj :vlax-false) (vla-Regen doc acAllViewports) (alert "Dimension lines are not forced between the extension lines") ) |
|Archiver|CAD开发者社区
( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-3-5 17:47
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.